<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>

    <groupId>dev.ocean</groupId>
    <artifactId>fsm</artifactId>
    <version>0.0.1-SNAPSHOT</version>

    <distributionManagement>
        <repository>
            <id>central</id>
            <name>nazirpc-releases</name>
            <url>http://185.53.131.151:8081/artifactory/ocean</url>
        </repository>
        <snapshotRepository>
            <id>snapshots</id>
            <name>nazirpc-snapshots</name>
            <url>http://185.53.131.151:8081/artifactory/ocean</url>
        </snapshotRepository>
    </distributionManagement>

    <dependencies>
        <dependency>
            <groupId>junit</groupId>
            <artifactId>junit</artifactId>
            <version>4.12</version>
            <scope>test</scope>
        </dependency>
        <dependency>
            <groupId>org.mobicents.protocols.asn</groupId>
            <artifactId>asn</artifactId>
            <version>2.1.8</version>
        </dependency>
    </dependencies>

    <build>
        <plugins>
            <plugin>
                <artifactId>maven-compiler-plugin</artifactId>
                <configuration>
                    <source>1.8</source>
                    <target>1.8</target>
                </configuration>
            </plugin>

            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-source-plugin</artifactId>
                <version>3.1.0</version>
                <executions>
                    <execution>
                        <id>attach-sources</id>
                        <goals>
                            <goal>jar</goal>
                        </goals>
                    </execution>
                </executions>
            </plugin>
            <!--            <plugin>-->
            <!--                <groupId>org.apache.maven.plugins</groupId>-->
            <!--                <artifactId>maven-javadoc-plugin</artifactId>-->
            <!--                <version>3.1.1</version>-->
            <!--                <executions>-->
            <!--                    <execution>-->
            <!--                        <id>attach-javadocs</id>-->
            <!--                        <goals>-->
            <!--                            <goal>jar</goal>-->
            <!--                        </goals>-->
            <!--                    </execution>-->
            <!--                </executions>-->
            <!--            </plugin>-->
        </plugins>
    </build>

</project>
